Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155714 - krdc leaves "Establishing connection..." window up
Summary: krdc leaves "Establishing connection..." window up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 14:35 UTC by Jerry Amundson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-23 16:28:18 UTC


Attachments (Terms of Use)
Establishing connection... (deleted)
2006-01-16 16:02 UTC, Jerry Amundson
no flags Details
Error window after logging out of RDP session (deleted)
2006-01-16 16:10 UTC, Jerry Amundson
no flags Details
1. Open krdc, and connect to "rdp:/your-hostname" (deleted)
2006-01-16 21:21 UTC, Jerry Amundson
no flags Details
2. Login to the Windows desktop. Note the "Establishing connection..." krdc window remains (deleted)
2006-01-16 21:22 UTC, Jerry Amundson
no flags Details
3. Logout of Windows session. Note the ensuing error. (deleted)
2006-01-16 21:24 UTC, Jerry Amundson
no flags Details

Description Jerry Amundson 2005-04-22 14:35:06 UTC
Description of problem:
When start RDP sessions, Krdc leaves open the "Establishing connection..." window

Version-Release number of selected component (if applicable):
kdenetwork-3.4.0-3

How reproducible:
Always.

Steps to Reproduce:
1.Run Krdc
2.Enter an rdp:/ connection
3.At the end of the session, it becomes "Connection failure"
  
Actual results:
Extra Krdc windows

Expected results:
Connection should be detected, and window should close.

Additional info:

Comment 1 Ngo Than 2006-01-16 11:07:07 UTC
i assume it's fixed in KDE-3.5.0. Please reopen it if it still appears in this
version. Many thanks for your report.

Comment 2 Jerry Amundson 2006-01-16 16:02:18 UTC
Created attachment 123239 [details]
Establishing connection...

Comment 3 Jerry Amundson 2006-01-16 16:10:25 UTC
Created attachment 123240 [details]
Error window after logging out of RDP session

Comment 4 Ngo Than 2006-01-16 16:34:44 UTC
could you please give more infos how i can reproduce this problem?
Thanks.


Comment 5 Jerry Amundson 2006-01-16 21:21:04 UTC
Created attachment 123263 [details]
1. Open krdc, and connect to "rdp:/your-hostname"

Note: "your-hostname" is a Windows server running Terminal Services, example
given "winstage".

Comment 6 Jerry Amundson 2006-01-16 21:22:49 UTC
Created attachment 123264 [details]
2. Login to the Windows desktop. Note the "Establishing connection..." krdc window remains

Comment 7 Jerry Amundson 2006-01-16 21:24:51 UTC
Created attachment 123265 [details]
3. Logout of Windows session. Note the ensuing error.

Comment 8 Jerry Amundson 2006-05-23 16:22:00 UTC
I'm running kdenetwork-3.5.2-0.1.fc5 : it, or some recent update, resolved the 
problem.


Note You need to log in before you can comment on or make changes to this bug.